PropertiesTranslatorSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.externalizer.PropertiesTranslatorSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.externalizer
Class PropertiesTranslatorSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.modules.externalizer.PropertiesTranslatorSubTask

All Implemented Interfaces:
  Serializable

public class PropertiesTranslatorSubTask
extends TemplateSubTask

Creates translator classes for convenient access to externalized resource bundles.

Version:
  $Revision: 1.6 $
Author:
  Konstantin Pribluda(kpriblouda@yahoo.com)
See Also:
  Serialized Form
ant.element
  display-name="Properties Translator" name="propertiestranslator" parent="xdoclet.DocletTask"
created
  October 5, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`static String` | `GENERATED_FILE_NAME`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`PropertiesTranslatorSubTask()` constructor for properties generator subtask

Method Summary
`protected String` | `getGeneratedFileFileName(xjavadoc.XClass clazz)` Compute file name for generated translator class bundle.

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, copyAttributesFrom, engineFinished, engineStarted, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcess, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERATED_FILE_NAME

    public static final String GENERATED_FILE_NAME

See Also:
  Constant Field Values

Constructor Detail

### PropertiesTranslatorSubTask

    public PropertiesTranslatorSubTask()

  constructor for properties generator subtask

Method Detail

### getGeneratedFileFileName

    protected String getGeneratedFileFileName(xjavadoc.XClass clazz)
                                       throws XDocletException

  Compute file name for generated translator class bundle.

  Parameters:
    `clazz` - class
  Returns:
    filename
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD